QGIS Application - Feature request #1448
overview map won't show layer when Use scale dependent rendering is on in layer properties
2008-12-07 06:47 PM - Steven Mizuno

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 11508
Description

The scale settings don't matter - it is that scale dependent rendering is enabled and that the overview map has no scale (some default,
actually).

The overview may show the layer if it was displayed before the scale dependent rendering was enabled, but will disappear when the
overview is redrawn as on a layer visibility change.

The patch provided adds a test for mOverview in [[QgsMapRenderer]]::render() so the layer will be rendered if it has been added to the
overview map.

History

#1 - 2008-12-15 10:06 AM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed

Applied in .

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
